Subject: Re: bug#27049: [PATCH] gnu: Add mathjax.

From: Arun Isaac <[email-masked]>
Date: Tue, 30 May 2017 00:49:33 +0530

> Sure.  My suggestion would be to use an existing, established minifier,
> only one that is relatively simple to package.  It could be one written
> in a language other than JS (Ricardo mentioned ‘cl-uglify-js’ on IRC),
> or it could be a simplistic minifier written in JS but with very few or
> not dependencies, if that exists.

There are several js minifiers written in python. Here's one:

https://github.com/tikitu/jsmin/

I've never used it. I only found it five minutes ago with an internet
search. But, if appearances are anything, it looks relatively well
maintained.